MRE3 C# SDK

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
MrEModuleSdk.Devices.Mre3.IMrE3SdkComDeviceController Interface Reference
Inheritance diagram for MrEModuleSdk.Devices.Mre3.IMrE3SdkComDeviceController:

## Public Member Functions
bool | Connect (int port)
| Connects to the device on given port.
void | Disconnect (bool cleanUp=true)
| Disconnects from the device.
bool | GoToDfuMode ()
| Switches device to DFU mode.
bool | ChangeModeToPro ()
| Switches device to PRO mode.
bool | ChangeModeToSimple ()
| Switches device to SIMPLE mode.
bool | IsConnected ()
| Returns true, if connection to device is established.
bool | Reconnect ()
| Reconnects to already connected device.
string | GetElectronicSerialNumber ()
| Returns serial number of the electronic.
string | GetProductSerialNumber ()
| Returns serial number of the product.
byte[] | GetValue (int registerId)
| Returns register value.
bool | SetValue (int registerId, ValueType value)
| Set register value and returns if write was successful.
byte[] | GetVector (int registerId, int index, int count)
| Get vector value on input register with desired lenght.
bool | SetVector (int registerId, int index, byte[] vector)
| Set vector value on input register and returns if write was successful.

## Properties
IStatus | Status`[get]`
IBoardEEPROM | BoardEeprom`[get]`
IDeviceEEPROM | DeviceEeprom`[get]`
IMre3TemperatureManager | TemperatureManager`[get]`
IOpticalFeedback | OpticalFeedback`[get]`
IRadialBasisFunction | RadialBasisFunction`[get]`
ILogger | Logger`[get]`
IMiscellaneousFeatures | MiscellaneousFeatures`[get]`
ISnapshotManager | SnapshotManager`[get]`
IVectorAdapter | VectorAdapter`[get]`
ISpi | Spi`[get]`
II2C | I2C`[get]`
ISignalFlowManager | SignalFlowManager`[get]`

## Member Function Documentation

## ◆ ChangeModeToPro()

bool MrEModuleSdk.Devices.Mre3.IMrE3SdkComDeviceController.ChangeModeToPro | ( |  | ) |

Switches device to PRO mode.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ ChangeModeToSimple()

bool MrEModuleSdk.Devices.Mre3.IMrE3SdkComDeviceController.ChangeModeToSimple | ( |  | ) |

Switches device to SIMPLE mode.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ Connect()

bool MrEModuleSdk.Devices.Mre3.IMrE3SdkComDeviceController.Connect | ( | int | port | ) |

Connects to the device on given port.

Parameters

  port |

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ Disconnect()

void MrEModuleSdk.Devices.Mre3.IMrE3SdkComDeviceController.Disconnect | ( | bool | cleanUp = true | ) |

Disconnects from the device.

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ GetElectronicSerialNumber()

string MrEModuleSdk.Devices.Mre3.IMrE3SdkComDeviceController.GetElectronicSerialNumber | ( |  | ) |

Returns serial number of the electronic.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ GetProductSerialNumber()

string MrEModuleSdk.Devices.Mre3.IMrE3SdkComDeviceController.GetProductSerialNumber | ( |  | ) |

Returns serial number of the product.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ GetValue()

byte[] MrEModuleSdk.Devices.Mre3.IMrE3SdkComDeviceController.GetValue | ( | int | registerId | ) |

Returns register value.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ GetVector()

byte[] MrEModuleSdk.Devices.Mre3.IMrE3SdkComDeviceController.GetVector | ( | int | registerId,
|  | int | index,
|  | int | count )

Get vector value on input register with desired lenght.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ GoToDfuMode()

bool MrEModuleSdk.Devices.Mre3.IMrE3SdkComDeviceController.GoToDfuMode | ( |  | ) |

Switches device to DFU mode.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ IsConnected()

bool MrEModuleSdk.Devices.Mre3.IMrE3SdkComDeviceController.IsConnected | ( |  | ) |

Returns true, if connection to device is established.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ Reconnect()

bool MrEModuleSdk.Devices.Mre3.IMrE3SdkComDeviceController.Reconnect | ( |  | ) |

Reconnects to already connected device.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ SetValue()

bool MrEModuleSdk.Devices.Mre3.IMrE3SdkComDeviceController.SetValue | ( | int | registerId,
|  | ValueType | value )

Set register value and returns if write was successful.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ SetVector()

bool MrEModuleSdk.Devices.Mre3.IMrE3SdkComDeviceController.SetVector | ( | int | registerId,
|  | int | index,
|  | byte[] | vector )

Set vector value on input register and returns if write was successful.

Returns

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## Property Documentation

## ◆ BoardEeprom

IBoardEEPROM MrEModuleSdk.Devices.Mre3.IMrE3SdkComDeviceController.BoardEeprom
| get

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ DeviceEeprom

IDeviceEEPROM MrEModuleSdk.Devices.Mre3.IMrE3SdkComDeviceController.DeviceEeprom
| get

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ I2C

II2C MrEModuleSdk.Devices.Mre3.IMrE3SdkComDeviceController.I2C
| get

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ Logger

ILogger MrEModuleSdk.Devices.Mre3.IMrE3SdkComDeviceController.Logger
| get

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ MiscellaneousFeatures

IMiscellaneousFeatures MrEModuleSdk.Devices.Mre3.IMrE3SdkComDeviceController.MiscellaneousFeatures
| get

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ OpticalFeedback

IOpticalFeedback MrEModuleSdk.Devices.Mre3.IMrE3SdkComDeviceController.OpticalFeedback
| get

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ RadialBasisFunction

IRadialBasisFunction MrEModuleSdk.Devices.Mre3.IMrE3SdkComDeviceController.RadialBasisFunction
| get

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ SignalFlowManager

ISignalFlowManager MrEModuleSdk.Devices.Mre3.IMrE3SdkComDeviceController.SignalFlowManager
| get

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ SnapshotManager

ISnapshotManager MrEModuleSdk.Devices.Mre3.IMrE3SdkComDeviceController.SnapshotManager
| get

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ Spi

ISpi MrEModuleSdk.Devices.Mre3.IMrE3SdkComDeviceController.Spi
| get

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ Status

IStatus MrEModuleSdk.Devices.Mre3.IMrE3SdkComDeviceController.Status
| get

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ TemperatureManager

IMre3TemperatureManager MrEModuleSdk.Devices.Mre3.IMrE3SdkComDeviceController.TemperatureManager
| get

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

## ◆ VectorAdapter

IVectorAdapter MrEModuleSdk.Devices.Mre3.IMrE3SdkComDeviceController.VectorAdapter
| get

Implemented in MrEModuleSdk.Devices.Mre3.MrE3SdkComDeviceController.

The documentation for this interface was generated from the following file:

- C:/Users/jan.janda/Desktop/Mre3Documentation/MrE3SdkComDeviceController.cs